214 countries and territories189 of 193 UN membersmonthly to 2026-09back to 1926
Documentation / Measures / 19 of 75

Nights

GET/v1/nights

Nights spent in tourist accommodation, total and split by residents and non-residents where published.

Developer plan and upKey requiredJSON or CSVCached until the next release
Parameters
NameTypeDescription
countryoptionalstring
query
One or more ISO codes, comma separated
e.g. CL,BA,AT
freqoptionalM | Q | A
query
Frequency: monthly, quarterly or annual
e.g. M
fromoptionalperiod
query
First period to return
e.g. 2025-01
tooptionalperiod
query
Last period to return
e.g. 2026-08
formatoptionaljson | csv
query
Response format
e.g. json
Request
# Overnight stays in all accommodation
curl "https://api.tourismapi.com/v1/nights?country=CL,BA,AT&from=2025-01&to=2026-08" \
  -H "X-API-Key: $TOURISM_API_KEY"
Ready
Example response
{
    "meta": {
        "request_id": "req_9f83727052",
        "data_as_of": "2026-10-20T04:48:00Z",
        "count": 3,
        "measure": "nights"
    },
    "data": [
        {
            "country": "CL",
            "series": "sr_ay31rkhs",
            "name": "CHL, TRIPS, PS, OVERNIGHT, _T, TDS, A",
            "unit": "PS",
            "freq": "A",
            "observations": []
        },
        {
            "country": "BA",
            "series": "sr_226y4v9p",
            "name": "Tourist nights in Bosnia and Herzegovina: total",
            "unit": "nights",
            "freq": "M",
            "observations": [
                {
                    "period": "2026-06",
                    "value": 388414
                },
                {
                    "period": "2026-07",
                    "value": 510876
                },
                {
                    "period": "2026-08",
                    "value": 560221
                }
            ]
        },
        {
            "country": "AT",
            "series": "sr_09pbgpx5",
            "name": "Nights, Carinthia <AT21>, Netherlands <25>",
            "unit": "nights",
            "freq": "M",
            "observations": [
                {
                    "period": "2026-06",
                    "value": 86625
                },
                {
                    "period": "2026-07",
                    "value": 304633
                },
                {
                    "period": "2026-08",
                    "value": 273538
                }
            ]
        }
    ]
}
Response fields
FieldTypeExample
countrystringCL
seriesstringsr_ay31rkhs
namestringCHL, TRIPS, PS, OVERNIGHT, _T, TDS, A
unitstringPS
freqstringA
observationsarray0 items